Skip to main content
查询单个激活码(按 ID)
curl --request GET \
  --url https://api.example.com/api/v1/projects/{project_id}/codes/{code_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "code": "<string>",
  "status": true,
  "is_disabled": true,
  "is_expired": true,
  "expires_at": 123,
  "verified_at": 123,
  "verified_by": "<string>",
  "created_at": 123,
  "verification_logs": [
    {
      "id": "<string>",
      "verified_at": 123,
      "verified_by": "<string>",
      "ip_address": "<string>",
      "result": "<string>"
    }
  ]
}
Returns a single activation code by its ID, including verification status, disabled/expired status, and verification_logs (verification history). If you have the code value rather than the ID, use Get code by code string.

Authorizations

X-API-Key
string
header
required

API Key + X-Timestamp + X-Signature(HMAC-SHA256)

Path Parameters

project_id
string
required
code_id
string
required

Response

激活码详情

id
string
code
string
status
boolean
is_disabled
boolean
is_expired
boolean
expires_at
integer | null
verified_at
integer | null
verified_by
string | null
created_at
integer
verification_logs
object[]